<?php
// Setup global vars
$nAvailableIcons = array();
$nAvailableIcons["tv"] = "Cable TV w/DVD & CD";
$nAvailableIcons["wifi"] = "Free WiFi";
$nAvailableIcons["credit-cards"] = "Credit cards accepted";
$nAvailableIcons["glass"] = "Mini Bar";
$nAvailableIcons["cake"] = "Open buffet";
$nAvailableIcons["person"] = "Ideal for 2 persons";
$nAvailableIcons["no-smoking"] = "No smoking";
$nAvailableIcons["smoking"] = "Smoking room";
$nAvailableIcons["restaurant"] = "Restaurant";
$nAvailableIcons["cup"] = "Breakfast included";
$nAvailableIcons["car"] = "Free parking";
$nAvailableIcons["bell"] = "24-hour room service";
$nAvailableIcons["bell-bis"] = "Concierge available";
$nAvailableIcons["coffee"] = "Coffee maker";
$nAvailableIcons["phone"] = "Telephone"; //
$nAvailableIcons["iron"] = "Iron & ironing board";
$nAvailableIcons["alarm"] = "Radio alarm clock";
$nAvailableIcons["water"] = "Whirpool tub & shower";
$nAvailableIcons["fire"] = "Fireplace";
$nAvailableIcons["microwave"] = "Microwave";
$nAvailableIcons["hair-dryer"] = "Hair Dryer";
$nAvailableIcons["thermometer"] = "Climate control";
$nAvailableIcons["weather-wind"] = "Ceiling fan";
$nAvailableIcons["footprints"] = "Floor rug";
$nAvailableIcons["pillow"] = "Down pillows";
$nAvailableIcons["home"] = "Private balcony";
$nAvailableIcons["star"] = "Five-star rated";

// Custom Functions (all must be prefaced with component name (e.g. function compname_functionname())
if(!function_exists("hotel_amenity_icons_getColumnDD")){
	function hotel_amenity_icons_getColumnDD($nFieldID,$nCurrentFieldValue){
		// create dropdown select field
		$nHTML = "";
		$nDDValues = array();
		$nDDValues["1"] = "1 column";
		$nDDValues["2"] = "2 columns";
		$nDDValues["3"] = "3 columns";
		foreach($nDDValues AS $nFldID => $nFldVal){
			if($nFldID==$nCurrentFieldValue){ $nHTML.="<option value=\"$nFldID\" selected>$nFldVal</option>"; } else { $nHTML.="<option value=\"$nFldID\">$nFldVal</option>"; }
		}
		$nDDHTML = "<select name=\"$nFieldID\" id=\"$nFieldID\" style=\"margin-bottom:20px;\">$nHTML</select>";
		return $nDDHTML;
	}
}
if(!function_exists("hotel_amenity_icons_showIcons")){
	function hotel_amenity_icons_showIcons($nContentARRAY){
		global $nFullSitePath;
		$nIconPath = $nFullSitePath."comp/hotel_amenity_icons/";
		$nIconJSON = $nContentARRAY[1]["nTextarea"];
		$nColumnCount = $nContentARRAY[2]["nText"];
		if($nIconJSON){ $nIconARRAY = json_decode($nIconJSON,true); }
		// create list and split icons into columns, if needed
		$nColumnNum = 0;
		$nItemNum = 0;
		$nIconColumnARRAY = array();
		if($nIconARRAY){
			foreach($nIconARRAY AS $nIconID => $nIconARRAY){
				$nIconName = $nIconARRAY["icon"];
				$nIconVisible = $nIconARRAY["checked"];
				if($nIconVisible){
					$nColumnNum++; $nItemNum++;
					if($nColumnNum>$nColumnCount){ $nColumnNum=1; }
					if($nItemNum&1){ $nStyle=""; } else { $nStyle="list-even"; }
					$nIconColumnARRAY[$nColumnNum][]= "<li class=\"$nStyle\"><img src=\"$nIconPath$nIconID.png\" alt=\"$nIconID\" width=\"16\" height=\"16\" border=\"0\" style=\"margin:0 3px -3px 0;\"> $nIconName</li>";
				}
			}
		}
		// setup for display
		$nIconHTML = "";
		for($nColumnNum=1;$nColumnNum<=$nColumnCount;$nColumnNum++){
			if($nColumnNum==$nColumnCount){ $nStyle="column-last"; } else { $nStyle=""; }
			$nIconHTML.= "<div class=\"column-third-of-two-third-width column-no-margin more-padding $nStyle\">";
			$nIconHTML.= "	<ul class=\"list-alternate list-room-features list-bottom\">";
			foreach($nIconColumnARRAY[$nColumnNum] AS $nIcon){
				$nIconHTML.= $nIcon;
			}
			$nIconHTML.= "	</ul>";
			$nIconHTML.= "</div>";
		}
		if($nIconHTML){ $nIconHTML.="<div style=\"clear:both;float:none;\"></div>"; }
		return $nIconHTML;
	}
}
if(!function_exists("hotel_amenity_icons_getIconDD")){
	function hotel_amenity_icons_getIconDD($nFieldID,$nCurrentFieldValue){
		global $nAvailableIcons,$nFullSitePath;
		$nCurrentFieldValue = str_replace("&quot;","\"",$nCurrentFieldValue);
		$nIconPath = $nFullSitePath."comp/hotel_amenity_icons/";
		if($nCurrentFieldValue){ $nIconARRAY = json_decode($nCurrentFieldValue,true); }
		// create dropdown select field
		foreach($nAvailableIcons AS $nFldID => $nFldVal){
			$nIconName = $nIconARRAY[$nFldID]["icon"];
			if(!$nIconName){ $nIconName = $nFldVal; }
			$nIconChecked = $nIconARRAY[$nFldID]["checked"];
			$nHTML.="<div style=\"float:left; width:220px; font-weight:normal;\"><input type=\"checkbox\" name=\"amenityIconList\" id=\"$nFldID\" value=\"$nIconName\" $nIconChecked onChange=\"updateIconList();\"><img src=\"$nIconPath$nFldID.png\" alt=\"$nFldID\" width=\"16\" height=\"16\" border=\"0\"> <span class=\"editable\" name=\"$nFldID\">$nIconName</span></div>";
		}
		$nDDHTML = "$nHTML <input type=\"hidden\" name=\"$nFieldID\" id=\"$nFieldID\" value=\"1234\"> <div style=\"clear:both; float:none;\"></div>";
		$nJSCloser = "</script>";
		$nDDHTML.= <<<CODE
			<script>
			function updateIconList(){
				var iconList = "";
				$('input:checkbox[name=amenityIconList]').map(function(){
					var fldItem = $(this);
					var fldChecked = fldItem.attr("checked");
					if(fldChecked==undefined){ fldChecked = ""; }
					iconItem = "\"" + fldItem.attr("id") + "\": { \"icon\": \"" + fldItem.val() + "\", \"checked\": \"" + fldChecked + "\"}"; // JSON format
					if(iconList){ iconList += ", " + iconItem; } else { iconList = iconItem; }
				});
				if(iconList){ $('#$nFieldID').val('{ '+iconList+' }'); } else { $('#$nFieldID').val(''); }
			}
			updateIconList(); // run once to init
			// make fields editable
			$('.editable').inlineEdit({
				buttonText: 'Update',
				save: function(e, data) {
					var fldName = $(this).attr("name");
					var checkboxObj = $('#'+fldName);
					checkboxObj.val(data.value); // save new val to checkbox
					updateIconList();
				}
			});
			$nJSCloser
CODE;
		return $nDDHTML;
	}
}
?>